class CfgPatches
{
  class RESR_statics_buildings
  {
    units[]={"Land_resr_benzina","Land_resr_kasna_new","Land_resr_domek_radnice","Land_resr_Chata6","Land_resr_dum_patr_nizky_prujezd","Land_resr_dum_patrovy01","Land_resr_dum_patrovy01c","Land_resr_dum_patrovy01d","Land_resr_dum_patrovy01prujezd","Land_resr_dum_patrovy02","Land_resr_dum_patrovy03","Land_resr_dum_patrovy04","Land_resr_dum_patrovy05","Land_resr_dum_patrovy06","Land_resr_dum_podloubi02","Land_resr_dum_podloubi03","Land_resr_hangar_2","Land_resr_kostelin","Land_resr_skola","Land_resr_ZalChata","Land_resr_javor_posed","Vysilacka","TableX","TableMapRes"};
    weapons[]={};
    requiredAddons[]={"CABuildings"};
  };
};

class CfgVehicles
{
  class NonStrategic;
  class Strategic;
  class FuelStation: Strategic
  {
    class DestructionEffects;
  };
  class Ruins;
  class House: NonStrategic
  {
    class DestructionEffects;
  };
  class Thing;
  class Table: Thing{};
  class Land_resr_benzina: FuelStation
  {
    scope=2;
    vehicleClass="CWR_Objects";
    irtarget="true";
    displayname="Fuelstation Civil";
    model="\resr\resr_statics\resr_buildings\resr_benzina";
    nameSound="fuelstation";
    supplyRadius=5.5;
    armor=20;
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\benzina_schnell_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
   };
  class Land_resr_kasna_new: NonStrategic
  {
    animated=1;
    scope=2;
    vehicleClass="CWR_Objects";
    model="\resr\resr_statics\resr_buildings\resr_kasna_new";
    displayName="$STR_CWR_DN_FOUNTAIN";
    simulation="fountain";
    sound="Fountain";
    animPeriod=1.33;
    cost=0;
  };
  class Church: NonStrategic
  {
    class DestructionEffects;
  };
  class Land_resr_domek_radnice: Church
  {
    scope=1;
    armor=2500;
    model="\resr\resr_statics\resr_buildings\resr_domek_radnice";
    ladders[]={{ "start","end" }};
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\Tovarna2_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_kostelin: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_kostelin";
    displayName="$STR_CWR_Kostelin";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\Tovarna2_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_Chata6: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_Chata6";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\domek_rosa_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patr_nizky_prujezd: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patr_nizky_prujezd";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\dum_patr_nizky_prujezd_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy01: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy01";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\dum_patr_nizky_prujezd_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy01c: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy01c";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\dum_patr_nizky_prujezd_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy01d: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy01d";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\dum_patr_nizky_prujezd_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy01prujezd: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy01prujezd";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\dum_patr_nizky_prujezd_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy02: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy02";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\dum_patr_nizky_prujezd_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy03: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy03";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\sara_domek_hospoda_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy04: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy04";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\dum_patr_nizky_prujezd_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy05: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy05";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\sara_domek_hospoda_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_patrovy06: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_patrovy06";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\deutshe_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_podloubi02: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_podloubi02";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\sara_dum_podloubi03rovny_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_dum_podloubi03: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_dum_podloubi03";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\sara_dum_podloubi03rovny_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_hangar_2: House
  {
    scope=2;
    side=3;
    vehicleClass="CWR_Objects";
    model="\resr\resr_statics\resr_buildings\resr_hangar_2";
    displayName="$STR_CWR_DN_HANGAR_HALL";
    mapSize=25;
    armor=500;
    transportAmmo=30000000;
    transportRepair=200000000;
    animated=1;
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\hangar_2_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
    class AnimationSources
    {
      class ResHangar_RightDoor1
      {
        source="user";
        animPeriod=20;
      };
      class ResHangar_RightDoor2: ResHangar_RightDoor1
      {
        animPeriod=40;
      };
      class ResHangar_LeftDoor1: ResHangar_RightDoor1
      {
        animPeriod=20;
      };
      class ResHangar_LeftDoor2: ResHangar_LeftDoor1
      {
        animPeriod=40;
      };
    };
    class UserActions
    {
      class OpenHangarDoors
      {
        displayNameDefault="Open Hangar Doors";
        displayName="Open Hangar Doors";
        position="switch_pos";
        radius=2.5;
        onlyForPlayer=1;
        condition="this animationPhase ""Anim_LeftDoor1"" == 1";
        statement="{this animate [_x, 0]}foreach[""Anim_RightDoor1"",""Anim_LeftDoor1"",""Anim_RightDoor2"",""Anim_LeftDoor2"",""Anim_LeftDoorGeo1"",""Anim_LeftDoorGeo2"",""Anim_RightDoorGeo1"",""Anim_RightDoorGeo2""]";
      };
      class CloseHangarDoors
      {
        displayNameDefault="Close Hangar Doors";
        displayName="Close Hangar Doors";
        position="switch_pos";
        radius=2.5;
        onlyForPlayer=1;
        condition="this animationPhase ""Anim_LeftDoor1"" == 0";
        statement="{this animate [_x, 1]}foreach[""Anim_RightDoor1"",""Anim_LeftDoor1"",""Anim_RightDoor2"",""Anim_LeftDoor2"",""Anim_LeftDoorGeo1"",""Anim_LeftDoorGeo2"",""Anim_RightDoorGeo1"",""Anim_RightDoorGeo2""]";
      };
    };
  };
  class Land_resr_skola: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_skola";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\skola_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_ZalChata: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\resr_ZalChata";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\ZalChata_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Land_resr_javor_posed: House
  {
    ladders[]={{ "start","end" }};
    model="\resr\resr_statics\resr_buildings\resr_javor_posed";
    destrType="DestructTree";
  };
  class Vysilacka: Table
  {
    access=2;
    displayName="$STR_DN_OUT_RADIO";
    model="\resr\resr_statics\resr_buildings\furniture\mutt_vysilacka.p3d";
  };
  class TableX: Table
  {
    scope=2;
    access=2;
    displayName="$STR_DN_OUT_TABLEX2";
    model="\resr\resr_statics\resr_buildings\furniture\stulsuplik_proxy_x.p3d";
  };
  class TableMapRes: Table
  {
    access=2;
    displayName="$STR_DN_OUT_TABLEMAPNOE";
    model="\resr\resr_statics\resr_buildings\furniture\stulsuplikmapaX.p3d";
  };
  class Land_Nam_dlazba: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\Nam_dlazba";
  };
  class Land_brana: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\brana";
  };
  class Land_hrad01: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\hrad01";
  };
  class Land_hrdb01: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\hrdb01";
  };
  class Land_roh_kamen: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\roh_kamen";
  };
  class Land_roh_sml: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\roh_sml";
  };
  class Land_zedvn: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedvn";
  };
  class Land_zedpr: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedpr";
  };
  class Land_zedlv: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedlv";
  };
  class Land_zedcl: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedcl";
  };
  class Land_zed_01: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zed_01";
  };
  class Land_zed_02: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zed_02";
  };
  class Land_zed_03: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zed_03";
  };
  class Land_zed_04: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zed_04";
  };
  class Land_zed_hr: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zed_hr";
  };
  class Land_zed_ker: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zed_ker";
  };
  class Land_zed_dr: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zed_dr";
  };
  class zedcl: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedcl";
  };
  class zedpr: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedpr";
  };
  class zedlv: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedlv";
  };
  class zedvn: House
  {
    scope=1;
    model="\resr\resr_statics\resr_buildings\zedvn";
  };
};

class CfgNonAIVehicles
{
  class StreetLamp;
  class Land_cwr_lampazel;
  class Land_resr_bridgelight: Land_cwr_lampazel
  {
    model="\resr\resr_statics\resr_buildings\resr_bridgelight";
  };
  class Land_resr_lampadrevo: Land_cwr_lampazel
  {
    model="\resr\resr_statics\resr_buildings\resr_lampadrevo";
  };
  class Land_resr_vo_seda: Land_cwr_lampazel
  {
    model="\resr\resr_statics\resr_buildings\resr_vo_seda";
  };
  class Land_resr_vo_stara1: Land_cwr_lampazel
  {
    model="\resr\resr_statics\resr_buildings\resr_vo_stara1";
  };
  class Land_resr_vo_zlut: Land_cwr_lampazel
  {
    model="\resr\resr_statics\resr_buildings\resr_vo_zlut";
  };
  class Land_resr_tlampac_vo_seda: Land_cwr_lampazel
  {
    model="\resr\resr_statics\resr_buildings\resr_tlampac_vo_seda";
  };
  class Land_resr_most_stred30
  {
    model="\resr\resr_statics\resr_buildings\resr_most_stred30";
    icon="\resr\resr_statics\resr_buildings\Ico\bridge.paa";
    simulation="road";
    armor=50;
    class Destruction
    {
    animations[]={
      { "ca\Roads\Rtm\most_pad_01.rtm",0.2,17 },
      { "ca\Roads\Rtm\most_pad_02.rtm",0.2,17 },
      { "ca\Roads\Rtm\most_pad_03.rtm",0.2,17 },
      { "ca\Roads\Rtm\most_pad_04.rtm",0.2,17 },
      { "ca\Roads\Rtm\most_pad_05.rtm",0.2,17 }};
    };
  };
};