class CfgPatches
{
  class resr_nogova_noe
  {
    units[]={};
    weapons[]={};
    worlds[]={"Noe"};
    requiredVersion=1.14;
    requiredAddons[]={"cwr_islands"};
  };
};

class DefaultLighting;
class CfgLocationTypes;

class CfgWorlds
{
  class DefaultClutter
  {
    scaleMin=0.9;
    scaleMax=1.4;
  };
  class DefaultWorld;
  class CAWorld: DefaultWorld
  {
    class Grid;
  };
  class CWR_baseWorld: CAWorld
  {
    class Grid: Grid
    {
      offsetX=0;
      offsetY=0;
      class Zoom1
      {
        zoomMax=0.2;
        format="XY";
        formatX="Aa";
        formatY="00";
        stepX=128;
        stepY=128;
      };
      class Zoom2
      {
        zoomMax=2147483647;
        format="XY";
        formatX="A";
        formatY="0";
        stepX=1280;
        stepY=1280;
      };
    };
  };
  class Noe: CWR_baseWorld
  {
    access=3;
    cutscenes[]={"intro"};
    description="CWR Nogova";
    worldName="\RESR\resr_nogova\noe.wrp";
    icon="";
    pictureMap="";
    pictureShot="";
    plateFormat="NO$ - #####";
    plateLetters="ABCDEGHIKLMNOPRSTVXZ";
    longitude=15;
    latitude=-40;
    startTime="10:30";
    startDate="10/4/82";
    startWeather=0.3;
    startFog=0;
    forecastWeather=0.3;
    forecastFog=0;
    seagullPos[]={8897,4349,100};
    ilsPosition[]={1505.08,4450.87};
    ilsDirection[]={0,0.08,-1};
    ilsTaxiIn[]={1575.07,5463.42,1575.07,4774.52,1570.73,4763.71,1556.45,4756.79,1525.44,4756.76,1509.86,4764.1,1505.08,4783.52,1505.08,4809.95};
    ilsTaxiOff[]={1505.08,4450.87,1505.08,5558.4,1509.57,5568.73,1525.84,5576.45,1558.12,5576.45,1569.5,5570.73,1575.07,5557.09,1575.07,5463.42};
    drawTaxiway=1;
    class SecondaryAirports
    {
      class Noe2
      {
        ilsPosition[]={8989.93,12575.1};
        ilsDirection[]={-1,0.08,0};
        ilsTaxiIn[]={9115.58,12558,8985,12558,8975,12575.1,8985,12592,9025,12575.1,9050,12575.1};
        ilsTaxiOff[]={8989.93,12575.1,9727,12575.1,9787,12592,9847,12592,9857,12575.1,9847,12558,9787,12558,9115.58,12558};
        drawTaxiway=0;
      };
    };
    centerPosition[]={7690,4403,0};
    class ReplaceObjects{};
    class Sounds
    {
      sounds[]={};
    };
    class Animation
    {
      vehicles[]={};
    };
    class Lighting: DefaultLighting{};
    clutterGrid=1.11;
    clutterDist=55;
    noDetailDist=40;
    fullDetailDist=5;
    minTreesInForestSquare=3;
    minRocksInRockSquare=4;
    class Clutter
    {
      class NoeRocks: DefaultClutter
      {
        model="CWR\CWR_statics\cwr_plants\Clutter_md_StoneSmall.p3d";
        affectedByWind=0;
        swLighting=1;
        scaleMin=0.3;
        scaleMax=0.9;
      };
      class NoeGrassLong: NoeRocks
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutterfix_grass_long.p3d";
        affectedByWind=0.8;
        scaleMin=0.6;
        scaleMax=1;
      };
      class NoeGrassShort: NoeRocks
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutterfix_grass_general.p3d";
        affectedByWind=0.6;
        scaleMin=0.5;
        scaleMax=1.3;
      };
      class NoeBeachShells: NoeRocks
      {
        model="CWR\CWR_statics\cwr_plants\cwr_clutter_seashells.p3d";
        affectedByWind=0;
        scaleMin=0.03;
        scaleMax=0.3;
      };
      class NoeFlowersColor: NoeRocks
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_smetanka.p3d";
        affectedByWind=0.3;
        scaleMin=0.65;
        scaleMax=1.1;
      };
      class NoeFlowersWhite: NoeRocks
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_white_flower.p3d";
        affectedByWind=0.3;
        scaleMin=0.65;
        scaleMax=1.2;
      };
      class NoeGrassFlowers: NoeRocks
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutter_grass_flowers.p3d";
        affectedByWind=0.1;
        scaleMin=0.7;
        scaleMax=1;
      };
      class NoeFern: NoeRocks
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutter_forest_fern.p3d";
        affectedByWind=0.3;
        scaleMin=0.25;
        scaleMax=1.8;
      };
      class NoeHorcak: NoeRocks
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutter_horcak.p3d";
        affectedByWind=0;
        scaleMin=0.45;
        scaleMax=1.25;
      };
      class NoePrasivka: NoeHorcak
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutter_prasivky.p3d";
      };
      class NoeBabka: NoeHorcak
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutter_babka.p3d";
      };
      class NoeMuchomurka: NoeHorcak
      {
        model="CWR\CWR_statics\cwr_plants\clutters\clutter_muchomurka.p3d";
      };
    };
    class Subdivision
    {
      minY=0;
      minSlope=0.02;
      class Fractal
      {
        rougness=10;
        maxRoad=0.2;
        maxTrack=1;
        maxSlopeFactor=0.05;
      };
      class WhiteNoise
      {
        rougness=5;
        maxRoad=0.1;
        maxTrack=0.5;
        maxSlopeFactor=0.025;
      };
    };
    class Ambient
    {
      class BigBirds
      {
        radius=300;
        cost="((1 + forest + trees) - ((2 * rain)) - houses) * (1 - night) * (1 - sea)";
        class Species
        {
          class Hawk
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class Birds
      {
        radius=170;
        cost="(1 - night) * ((1 + (3 * sea)) - (2 * rain))";
        class Species
        {
          class Seagull
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class jays
      {
        radius=170;
        cost="((3 + forest + trees) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Jay
          {
            probability=1;
            cost=1;
          };
        };
      };
      class Crowes
      {
        radius=170;
        cost="((3 * hills) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Crow
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Eagles
      {
        radius=300;
        cost="((3 * hills) + (3 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_BaldEagle
          {
            probability=0.1;
            cost=1;
          };
        };
      };
      class Buzzards
      {
        radius=300;
        cost="((3 * hills) + (5 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Buzzard
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Pigeon
      {
        radius=170;
        cost="(6 * houses) * (1 - night) * (2 + sea)";
        class Species
        {
          class CWR_Pigeon
          {
            probability=0.4;
            cost=1;
          };
        };
      };
      class BigInsects
      {
        radius=20;
        cost="(5 - (2 * houses)) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability="0.6 - (meadow * 0.5) + (forest * 0.4)";
            cost=1;
          };
          class ButterFly
          {
            probability="0.4 + (meadow * 0.5) - (forest * 0.4)";
            cost=1;
          };
        };
      };
      class BigInsectsAquatic
      {
        radius=20;
        cost="(3 * sea) * (1 - night) * (1 - rain) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability=1;
            cost=1;
          };
        };
      };
      class WindClutter
      {
        radius=10;
        cost="((20 - 5 * rain) * (3 * (windy factor [0.2, 0.5]))) * (1 - sea)";
        class Species
        {
          class FxWindGrass1
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindGrass2
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindRock1
          {
            probability="0.4 * hills";
            cost=1;
          };
          class FxWindLeaf1
          {
            probability="0.2 * trees";
            cost=1;
          };
          class FxWindLeaf2
          {
            probability="0.1 * trees + 0.2";
            cost=1;
          };
          class FxWindLeaf3
          {
            probability="0.1 * trees";
            cost=1;
          };
        };
      };
      class NoWindClutter
      {
        radius=15;
        cost="(20 * (windy factor [0.1, 0.2])) * meadow * (1 - rain) * (1 - sea) * (1 - forest) * (1 - houses)";
        class Species
        {
          class FxWindPollen1
          {
            probability=1;
            cost=1;
          };
        };
      };
      class SmallInsects
      {
        radius=3;
        cost="(12 - 8 * hills) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class HouseFly
          {
            probability="deadBody + (1 - deadBody) * (0.5 - forest * 0.1 - meadow * 0.2)";
            cost=1;
          };
          class HoneyBee
          {
            probability="(1 - deadBody) * (0.5 - forest * 0.1 + meadow * 0.2)";
            cost=1;
          };
          class Mosquito
          {
            probability="(1 - deadBody) * (0.2 * forest)";
            cost=1;
          };
        };
      };
      class NightInsects
      {
        radius=3;
        cost="(9 - 8 * hills) * night * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class Mosquito
          {
            probability=1;
            cost=1;
          };
        };
      };
    };
    class Names
    {
      class Noe_Lany
      {
        name="Lany";
        position[]={10527.1,4140.61};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
      class Noe_Lipany
      {
        name="Lipany";
        position[]={10738.8,3108.51};
        type="NameCityCapital";
        radiusA=400;
        radiusB=600;
      };
      class Noe_Modrava
      {
        name="Modrava";
        position[]={1668,9513};
        type="NameCity";
        radiusA=350;
        radiusB=350;
      };
      class Noe_Dolina
      {
        name="Dolina";
        position[]={5971.83,8477.82};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Mala_ves
      {
        name="Mala Ves";
        position[]={9169.04,4995.75};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Noe_Velka_ves
      {
        name="Velka Ves";
        position[]={9027.44,5523.93};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
      class Noe_Mirov
      {
        name="Mirov";
        position[]={3973.32,7155.87};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
      class Noe_Paseky
      {
        name="Paseky";
        position[]={6704.4,6111.57};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Frymburk
      {
        name="Frymburk";
        position[]={5382.18,5519};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Slapy
      {
        name="Slapy";
        position[]={5163.49,5074.33};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Kost
      {
        name="Kost";
        position[]={5782.57,5167.03};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Petrovice
      {
        name="Petrovice";
        position[]={4071.51,5108.92};
        type="NameCity";
        radiusA=350;
        radiusB=350;
      };
      class Noe_Neveklov
      {
        name="Neveklov";
        position[]={6556.56,4219.77};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
      class Noe_Davle
      {
        name="Davle";
        position[]={7735.14,4360.5};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Skalice
      {
        name="Skalice";
        position[]={6877.08,5502.25};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Opatov
      {
        name="Opatov";
        position[]={6794.11,6868.22};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Bludov
      {
        name="Bludov";
        position[]={2430.15,9685.03};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Varta
      {
        name="Varta";
        position[]={8955.64,7879.75};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Mokra_vrata
      {
        name="Mokra Vrata";
        position[]={1604.04,11332.3};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Kvilda
      {
        name="Kvilda";
        position[]={11154.5,11506.5};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Mokropsy
      {
        name="Mokropsy";
        position[]={5529.1,9439.42};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Loukov
      {
        name="Loukov";
        position[]={11160.2,7701.61};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
      class Noe_Joudov
      {
        name="Joudov";
        position[]={6273.72,7410.58};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Bitov
      {
        name="Bitov";
        position[]={11227.8,5437.04};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
      class Noe_Blata
      {
        name="Blata";
        position[]={9852.33,6898.35};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Trosky
      {
        name="Trosky";
        position[]={8092.32,9448.07};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Vidlakov
      {
        name="Vidlakov";
        position[]={4187.64,3507.21};
        type="NameCity";
        radiusA=350;
        radiusB=350;
      };
      class Noe_Bor
      {
        name="Bor";
        position[]={9425.86,2791.77};
        type="NameVillage";
        radiusA=150;
        radiusB=150;
      };
      class Noe_Okrouhlo
      {
        name="Okrouhlo";
        position[]={11569.4,2267.4};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
      class Noe_StSedlo
      {
        name="St Sedlo";
        position[]={10542,1700.5};
        type="NameCity";
        radiusA=250;
        radiusB=250;
      };
    };
  };
};

class CfgSurfaces
{
  class CWR_Default
  {
    access=2;
    files="default";
    rough=0.075;
    dust=0.1;
    isWater=0;
    friction=0.9;
    restitution=0;
    soundEnviron="normalExt";
    character="Empty";
    impact="default_Mat";
  };
  class CWR_Water
  {
    access=2;
    files="more_anim*";
    rough=0;
    dust=0;
    soundEnviron="water";
    friction=0.9;
    restitution=0;
    isWater=1;
    character="Empty";
    impact="default_Mat";
  };
  class GrassNoe: CWR_Default
  {
    access=2;
    files="noegrass_*";
    rough=0.1;
    dust=0.2;
    soundEnviron="grass";
    character="NoeGrassClutter";
  };
  class GrassLightNoe: CWR_Default
  {
    access=2;
    files="noelightgrass_*";
    rough=0.1;
    dust=0.2;
    soundEnviron="drygrass";
    character="NoeLightGrassClutter";
  };
  class SandDesertNoe: CWR_Default
  {
    access=2;
    files="noesand_*";
    rough=0.2;
    dust=0.8;
    soundEnviron="sand";
    character="NoeSandClutter";
  };
  class SandBeachNoe: CWR_Default
  {
    access=2;
    files="noebeach_*";
    rough=0.1;
    dust=0.5;
    soundEnviron="sand";
    character="NoeBeachClutter";
  };
  class ForestNoe: CWR_Default
  {
    access=2;
    files="noeforest_*";
    rough=0.1;
    dust=0.5;
    soundEnviron="forest";
    character="NoeForestClutter";
  };
  class RockNoe: CWR_Default
  {
    access=2;
    files="noerock_*";
    rough=0.5;
    dust=0.2;
    soundEnviron="rock";
    character="Empty";
  };
  class CityNoe: CWR_Default
  {
    access=2;
    files="noetown_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="gravel";
    character="NoeCityClutter";
  };
};

class CfgSurfaceCharacters
{
  class Empty
  {
    probability[]={};
    names[]={};
  };
  class NoeGrassClutter
  {
    probability[]={0.45,0.42,0.01,0.04,0.04,0.03};
    names[]={"NoeGrassShort","NoeGrassLong","NoeRocks","NoeFlowersWhite","NoeFlowersColor","NoeGrassFlowers"};
  };
  class NoeLightGrassClutter
  {
    probability[]={0.35,0.32,0.03,0.05,0.05,0.03};
    names[]={"NoeGrassShort","NoeGrassLong","NoeRocks","NoeFlowersWhite","NoeFlowersColor","NoeGrassFlowers"};
  };
  class NoeSandClutter
  {
    probability[]={0.05};
    names[]={"NoeRocks"};
  };
  class NoeForestClutter
  {
    probability[]={0.2,0.33,0.02,0.02,0.02,0.02,0.4};
    names[]={"NoeGrassShort","NoeGrassLong","NoeHorcak","NoePrasivka","NoeBabka","NoeMuchomurka","NoeFern"};
  };
  class NoeCityClutter
  {
    probability[]={0.8,0.04,0.02,0.06};
    names[]={"NoeGrassShort","NoeGrassLong","NoeRocks","NoeFlowersWhite"};
  };
  class NoeBeachClutter
  {
    probability[]={0.4,0.02};
    names[]={"NoeBeachShells","NoeRocks"};
  };
};

class CfgWorldList
{
  class noe {};
};

class CfgMissions
{
  class Cutscenes
  {
    class intro
    {
      directory="resr\resr_nogova\data\scenes\intro.noe";
    };
  };
};